Package org.eclipse.cdt.utils.macho

# Class MachO64.DySymtabCommand

java.lang.Object
org.eclipse.cdt.utils.macho.MachO64.LoadCommand
org.eclipse.cdt.utils.macho.MachO64.DySymtabCommand

Enclosing class:
  MachO64

public class MachO64.DySymtabCommand extends MachO64.LoadCommand

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`extrefsymoff`
`int`
`extreloff`
`int`
`iextdefsym`
`int`
`ilocalsym`
`int`
`indirectsymoff`
`int`
`iundefsym`
`int`
`locreloff`
`int`
`modtaboff`
`int`
`nextdefsym`
`int`
`nextrefsyms`
`int`
`nextrel`
`int`
`nindirectsyms`
`int`
`nlocalsym`
`int`
`nlocrel`
`int`
`nmodtab`
`int`
`ntoc`
`int`
`nundefsym`
`int`
`tocoff`

### Fields inherited from class org.eclipse.cdt.utils.macho.MachO64.LoadCommand

`cmd, cmdsize, LC_DYSYMTAB, LC_FVMFILE, LC_ID_DYLIB, LC_ID_DYLINKER, LC_IDENT, LC_IDFVMLIB, LC_LOAD_DYLIB, LC_LOAD_DYLINKER, LC_LOAD_WEAK_DYLIB, LC_LOADFVMLIB, LC_PREBIND_CKSUM, LC_PREBOUND_DYLIB, LC_PREPAGE, LC_REQ_DYLD, LC_ROUTINES, LC_ROUTINES_64, LC_SEGMENT, LC_SEGMENT_64, LC_SUB_CLIENT, LC_SUB_FRAMEWORK, LC_SUB_LIBRARY, LC_SUB_UMBRELLA, LC_SYMSEG, LC_SYMTAB, LC_THREAD, LC_TWOLEVEL_HINTS, LC_UNIXTHREAD, LC_UUID`

## Constructor Summary

Constructors
Constructor
Description
`DySymtabCommand()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ilocalsym

public int ilocalsym

### nlocalsym

public int nlocalsym

### iextdefsym

public int iextdefsym

### nextdefsym

public int nextdefsym

### iundefsym

public int iundefsym

### nundefsym

public int nundefsym

### tocoff

public int tocoff

### ntoc

public int ntoc

### modtaboff

public int modtaboff

### nmodtab

public int nmodtab

### extrefsymoff

public int extrefsymoff

### nextrefsyms

public int nextrefsyms

### indirectsymoff

public int indirectsymoff

### nindirectsyms

public int nindirectsyms

### extreloff

public int extreloff

### nextrel

public int nextrel

### locreloff

public int locreloff

### nlocrel

public int nlocrel

## Constructor Details

### DySymtabCommand

public DySymtabCommand()